#[cfg(target_os = "linux")]
mod linux;
#[cfg(target_os = "windows")]
mod windows;

#[cfg(target_os = "linux")]
pub use linux::*;
#[cfg(target_os = "windows")]
pub use windows::*;

#[derive(Clone, Eq, PartialEq, Hash)]
pub enum Keycode {
    KeyA,
    KeyB,
    KeyC,
    KeyD,
    KeyE,
    KeyF,
    KeyG,
    KeyH,
    KeyI,
    KeyJ,
    KeyK,
    KeyL,
    KeyM,
    KeyN,
    KeyO,
    KeyP,
    KeyQ,
    KeyR,
    KeyS,
    KeyT,
    KeyU,
    KeyV,
    KeyW,
    KeyX,
    KeyY,
    KeyZ,
    Key0,
    Key1,
    Key2,
    Key3,
    Key4,
    Key5,
    Key6,
    Key7,
    Key8,
    Key9,
    Up,
    Left,
    Down,
    Right,
    Enter,
    Space,
    Shift,
    Tab,
    Control,
    Escape,
    JsButtonA,
    JsButtonB,
    JsButtonX,
    JsButtonY,
    JsButtonUp,
    JsButtonLeft,
    JsButtonDown,
    JsButtonRight,
    JsButtonStart,
    JsButtonBack,
    JsButtonLThumb,
    JsButtonRThumb,
    JsButtonLShoulder,
    JsButtonRShoulder,
    JsAxisLX,
    JsAxisLY,
    JsAxisRX,
    JsAxisRY,
}
